Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# File Class Reference

## Public Member Functions
| File ($IdOrFileName, $ResourceId=NULL, $FieldId=NULL, $DesiredFileName=NULL, $CheckFileLength=TRUE)
| Status ()
| Id ()
| Name ()
| GetLength ()
| GetType ()
| Comment ($NewValue=DB_NOVALUE)
| FieldId ($NewValue=DB_NOVALUE)
| ResourceId ($NewValue=DB_NOVALUE)
| GetMimeType ()
| GetLink ()
| Delete ()
| GetNameOfStoredFile ()
## Public Attributes
const | FILESTAT_OK = 0
const | FILESTAT_COPYERROR = 1
const | FILESTAT_PARAMERROR = 2
const | FILESTAT_ZEROLENGTH = 3
const | FILESTAT_DOESNOTEXIST = 4
const | FILESTAT_UNREADABLE = 5

List of all members.

## Detailed Description

Definition at line 11 of file File.php.

## Member Function Documentation

File::Comment | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 152 of file File.php.

File::Delete | ( | ) |

Definition at line 173 of file File.php.

References GetNameOfStoredFile(), and Id().

File::FieldId | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 154 of file File.php.

File::File | ( | $ | IdOrFileName,
|  | $ | ResourceId = `NULL`,
|  | $ | FieldId = `NULL`,
|  | $ | DesiredFileName = `NULL`,
|  | $ | CheckFileLength = `TRUE`
| ) |  |

Definition at line 24 of file File.php.

References FILESTAT_COPYERROR, FILESTAT_OK, FILESTAT_PARAMERROR, FILESTAT_UNREADABLE, FILESTAT_ZEROLENGTH, GetNameOfStoredFile(), Id(), and Status().

File::GetLength | ( | ) |

Definition at line 148 of file File.php.

File::GetLink | ( | ) |

Definition at line 167 of file File.php.

File::GetMimeType | ( | ) |

Definition at line 160 of file File.php.

References GetType().

File::GetNameOfStoredFile | ( | ) |

Definition at line 187 of file File.php.

References Id(), and Name().

Referenced by Delete(), and File().

Here is the caller graph for this function:

File::GetType | ( | ) |

Definition at line 149 of file File.php.

Referenced by GetMimeType().

Here is the caller graph for this function:

File::Id | ( | ) |

Definition at line 146 of file File.php.

References Id().

Referenced by Delete(), File(), GetNameOfStoredFile(), and Id().

Here is the caller graph for this function:

File::Name | ( | ) |

Definition at line 147 of file File.php.

Referenced by GetNameOfStoredFile().

Here is the caller graph for this function:

File::ResourceId | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 156 of file File.php.

File::Status | ( | ) |

Definition at line 143 of file File.php.

References Status().

Referenced by File(), and Status().

Here is the caller graph for this function:

## Member Data Documentation

const File::FILESTAT_COPYERROR = 1

Definition at line 17 of file File.php.

Referenced by File().

const File::FILESTAT_DOESNOTEXIST = 4

Definition at line 20 of file File.php.

const File::FILESTAT_OK = 0

Definition at line 16 of file File.php.

Referenced by File().

const File::FILESTAT_PARAMERROR = 2

Definition at line 18 of file File.php.

Referenced by File().

const File::FILESTAT_UNREADABLE = 5

Definition at line 21 of file File.php.

Referenced by File().

const File::FILESTAT_ZEROLENGTH = 3

Definition at line 19 of file File.php.

Referenced by File().

The documentation for this class was generated from the following file:

- File.php